#!/bin/sh
#####################################################################
# This script downloads the source for Netperfmeter, patches it so
# the output is simplified (and easily parseable), builds it, and
# copies it to a specified output directory.
#####################################################################

patchfile=~/netperfm_simple_out.patch
outdir=~/bin
npm=netperfmeter-1.1.9

ext=-bsd64
if [ "$(uname)" = "Linux" ]; then
	ext=-ubu64
	sudo apt-get -y -q install libsctp-dev libsctp1 libbz2-dev
fi

# Use temporary working directory
#cd /tmp

# Download Netperfmeter source and extract it
if [ ! -f ${npm}.tar.gz ]; then
	curl http://www.iem.uni-due.de/~dreibh/netperfmeter/download/${npm}.tar.gz --O ${npm}.tar.gz
fi
tar xzf ${npm}.tar.gz

# Apply the patch from within the source directory, and build it
cd ${npm}
patch -p1 -i ${patchfile}
./configure
make

# Copy the binary to the specified output directory
if [ ! -d ${outdir} ]; then 
	mkdir -p ${outdir}
fi
cp ./src/netperfmeter ${outdir}/netperfmeter${ext} && \
echo "Created ${outdir}/netperfmeter${ext}"

