#!/bin/sh
#####################################################################
# This script starts a Netperfmeter server on port 9000 and
# redirects stdout to a file in the results directory. The server
# automatically stops after $runtime seconds.
#####################################################################

if [ ! $1 ]; then
	echo "Usage: $0 {flowcount}"
	exit 1
fi

# Duration of throughput tests (in seconds) plus a few seconds
# of buffer time (to allow starting client on other host). This
# obviously requires coordination when running the two hosts.
runtime=150

npm=../bin/netperfmeter-ubu64	
port=9000
outdir=results/$(basename ${0%.*})_$(uname -n | awk 'BEGIN { FS = "." } ; {print $2}')
pre=mptcp$1


# Install libsctp if not found
if [ ! "$(find /usr/lib -name 'libsctp*')" ]; then
	sudo apt-get -y -q install libsctp1
fi

# Create output dir if necessary
[ ! -d $outdir ] && mkdir -p $outdir 2>/dev/null

echo "*** Starting server for MPTCP test (flows=$1) for $runtime seconds"
${npm} ${port} -runtime=${runtime} > ${outdir}/${pre}.rx.txt