#!/bin/sh
#######################################################################
# This script installs MPTCP Linux Kernel from 
# http://mptcp.info.ucl.ac.be/pmwiki.php?n=Users.AptRepository.
#######################################################################

# Get the key to validate the repository we're about to add
wget -q -O - http://mptcp.info.ucl.ac.be/mptcp.gpg.key | sudo apt-key add - 

# Add repository to source list only if not present
grep -q 'deb http://mptcp.info.ucl.ac.be/repos/apt/debian orneic main' /etc/apt/sources.list || echo 'deb http://mptcp.info.ucl.ac.be/repos/apt/debian orneic main' | sudo tee -a /etc/apt/sources.list > /dev/null

# Make sure we have the sources for 11.10 (needed for linux-headers-3.0.0-14)
sudo sed -i 's/natty/oneiric/' /etc/apt/sources.list
sudo apt-get update

# Install the kernel and the SCTP library (for netperfmeter)
sudo apt-get -y install linux-image-3.0.0-14-mptcp libsctp1

# Set the following Grub parameters to 0 so that Linux MPTCP boots 
# automatically.
#	* GRUB_DEFAULT
#	* GRUB_TIMEOUT
#	* GRUB_HIDDEN_TIMEOUT
echo Updating boot settings to auto-load Linux MPTCP...
sudo sed -i 's/\(GRUB_DEFAULT=\|GRUB_TIMEOUT=\|GRUB_HIDDEN_TIMEOUT=\).*/\10/' /etc/default/grub
sudo update-grub

echo "OK. Enter 'sudo reboot' to load Linux MPTCP."
