#!/bin/sh
#####################################################################
# This script sets the kernel network settings for maximum throughput.
# http://fasterdata.es.net/fasterdata/host-tuning/freebsd/
#####################################################################


# set to at least 16MB for 10GE hosts
sudo sysctl kern.ipc.maxsockbuf=16777216

# set autotuning maximum to at least 16MB too
sudo sysctl net.inet.tcp.sendbuf_max=16777216  
sudo sysctl net.inet.tcp.recvbuf_max=16777216

# enable send/recv autotuning
sudo sysctl net.inet.tcp.sendbuf_auto=1
sudo sysctl net.inet.tcp.recvbuf_auto=1

# increase autotuning step size 
sudo sysctl net.inet.tcp.sendbuf_inc=16384 
sudo sysctl net.inet.tcp.recvbuf_inc=524288 

# turn off inflight limitting
sudo sysctl net.inet.tcp.inflight.enable=0

# set this on test/measurement hosts
sudo sysctl net.inet.tcp.hostcache.expire=1